cdac.medinfo.sdk.hl7282.hl7model.messages.query

## Class RDY_K15

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.query.RDY_K15_Common
      - - cdac.medinfo.sdk.hl7282.hl7model.messages.query.RDY_K15

-     public final class RDY_K15
      extends RDY_K15_Common

  RDY_K15 - Dispense History (Event K15).

  Represents a RDY_K15 message structure (see chapter 5.3.2.5). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) SINGLE_OPTIONAL
  3: MSA (Message Acknowledgment) SINGLE_COMPULSARY
  4: ERR (Error) SINGLE_OPTIONAL
  5: QAK (Query Acknowledgment) SINGLE_COMPULSARY
  6: QPD (Query Parameter Definition) SINGLE_COMPULSARY
  7: DSP (Display Data) MULTIPLE_OPTIONAL
  8: DSC (Continuation Pointer) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RDY_K15 objK15 = (RDY_K15)MessageFactory.createInstance().createSendSupportedMessage("RDY", "K15");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.query.RDY_K15_Common

      `addDisplayDataSegment, addDisplayDataSegments, addSoftwareSegment, addSoftwareSegment, getContinuationPointerSegment, getDisplayDataSegments, getErrorSegment, getMessageAcknowledgmentSegment, getQueryAcknowledgementSegment, getQueryParameterDefinitionSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, isResponse, setContinuationPointerSegment, setErrorSegment, setMessageAcknowledgmentSegment, setQueryAcknowledgementSegment, setQueryParameterDefinitionSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`